class TitleCombinator():

    IDENTIFIER = 'title'

    TITLE_LIST = [
        'The Sound of Space',
        '2001; Odyssee im Weltraum (1968)',
        'Ansible 101'
    ]

    def __init__(self, context = None):
        self._context = context
        self._logger = context['logger']
        self._reportLogger = context['report_logger']

    def getIdentifier(self):
        return TitleCombinator.IDENTIFIER
        
    def getPayload(self, titleIndex):
        return {
            'variant': f"S{titleIndex}",
            'show': TitleCombinator.TITLE_LIST[titleIndex]
        }

    def assertFunc(self, testObj = {}):
        pass

    def shouldFail(self):
        return False

    def getYield(self):
        for titleIndex in range(len(TitleCombinator.TITLE_LIST)):
            yield self.getPayload(titleIndex)
